ConferenceListItem Struct Reference

`#include <bookmarkhandler.h>`

## Public Attributes

std::string | name
std::string | jid
std::string | nick
std::string | password
bool | autojoin

## Detailed Description

This describes a single bookmarked conference item.

Definition at line 38 of file bookmarkhandler.h.

## Member Data Documentation

## autojoin

bool autojoin

The conference shall be joined automatically on login.

Definition at line 44 of file bookmarkhandler.h.

## jid

std::string jid

The address of the room.

Definition at line 41 of file bookmarkhandler.h.

## name

std::string name

A human readable name of the conference room.

Definition at line 40 of file bookmarkhandler.h.

## nick

std::string nick

The nick name to use in this room.

Definition at line 42 of file bookmarkhandler.h.

## password

std::string password

The password to use for a protected room.

Definition at line 43 of file bookmarkhandler.h.

The documentation for this struct was generated from the following file:

- bookmarkhandler.h